#include <iostream>
#include <cmath>
#include <ctime>

#include "Complexe.h"
#include <complex>

using namespace std;


#define N 1000000


int main(void)
{
unsigned int i;
clock_t t;


// ---------------------------------------------------
Complexe a(2,-5.51);
Complexe b(-1,4);
Complexe c(1,0);

t = clock();
for( i=0; i<N; i++)
{
    c =  (a/b)*(a-c/b);
}
t = clock() - t;
cout << "With Complexe, it took me " << t << " clicks ("<<
        ((double)t)/CLOCKS_PER_SEC <<" seconds)" << endl;


// ---------------------------------------------------
complex<double> ac(2,-5.51);
complex<double> bc(-1,4);
complex<double> cc(1,0);

t = clock();
for( i=0; i<N; i++)
{
    cc = (ac/bc)*(ac-cc/bc);
}
t = clock() - t;
cout << "With std::complex, it took me " << t << " clicks ("<<
        ((double)t)/CLOCKS_PER_SEC <<" seconds)" << endl;

cout << "std::complex = " << cc << endl;
cout << "    Complexe = "; c.Affiche();
cout << endl;

return 0;
}
